--AH:ScriptId=94308447-8348-4d09-a71a-300290b8728a;3208
CREATE TABLE [Webhooks]
(
	[Webhook_Id] INT IDENTITY(1, 1) NOT NULL,
	[Feed_Id] INT NULL,
	[Webhook_Name] NVARCHAR(50) NULL,
	[EventType_Name] VARCHAR(20) NOT NULL,
	[Target_Url] VARCHAR(200) NOT NULL,
	[Method_Name] VARCHAR(10) NOT NULL,
	[Condition_Text] VARCHAR(MAX) NULL,
	[Headers_Bytes] VARBINARY(MAX) NOT NULL,
	[Content_Bytes] VARBINARY(MAX) NOT NULL,

	CONSTRAINT [PK__Webhooks]
		PRIMARY KEY ([Webhook_Id]),

	CONSTRAINT [FK__Webhooks__Feeds]
		FOREIGN KEY ([Feed_Id])
		REFERENCES [Feeds] ([Feed_Id])
		ON DELETE CASCADE,

	CONSTRAINT [CK__Webhooks__EventType_Name]
		CHECK ([EventType_Name] IN ('added', 'promoted', 'deployed', 'deleted', 'purged')),

	CONSTRAINT [CK__Webhooks__Method_Name]
		CHECK ([Method_Name] IN ('GET', 'DELETE', 'POST', 'PUT', 'HEAD', 'OPTIONS', 'PATCH'))
)