IF OBJECT_ID('[AssetDirectories]') IS NOT NULL DROP VIEW [AssetDirectories]
GO

CREATE VIEW [AssetDirectories]
AS
SELECT F.*, 
       AIAGG.[Total_AssetItem_Count],
	   AIAGG.[Total_AssetItem_Size],
	   AIAGG.[Last_Modified_Date],
	   AIAGG.[LastDownloaded_Date]
  FROM [Feeds] F
       LEFT JOIN (SELECT [Feed_Id], 
	                     [Total_AssetItem_Count] = COUNT([AssetItem_Size]), 
	                     [Total_AssetItem_Size] = SUM([AssetItem_Size]), 
	                     [Last_Modified_Date] = MAX([Modified_Date]), 
						 [LastDownloaded_Date] = MAX([LastDownloaded_Date])
	                FROM [AssetItems]
				   WHERE [Directory_Indicator] = 'N' AND [Deleted_Date] IS NULL
				   GROUP BY [Feed_Id]
		) AIAGG ON F.[Feed_Id] = AIAGG.[Feed_Id]
 WHERE [FeedType_Name] = 'Asset'

GO
