IF OBJECT_ID('[MavenArtifacts_Extended]') IS NOT NULL DROP VIEW [MavenArtifacts_Extended]
GO

CREATE VIEW [MavenArtifacts_Extended]
AS

	SELECT MA.[Feed_Id],
	       MA.[GroupId_Text],
		   MA.[ArtifactId_Text],
		   MA.[Name_Text],
		   MA.[Description_Text],
		   MA.[ReleaseVersion_Text],
		   MA.[LatestVersion_Text],
		   [Updated_Date] = (SELECT MAX([Updated_Date])
		                       FROM [MavenArtifactFiles] MAF
							  WHERE MAF.[MavenArtifact_Id] = MA.[MavenArtifact_Id]),
		   [Download_Count] = COALESCE((SELECT SUM([Download_Count])
		                                  FROM [MavenArtifactFiles] MAF
								         WHERE MAF.[MavenArtifact_Id] = MA.[MavenArtifact_Id]), 0)
	  FROM [MavenArtifacts] MA

GO