IF OBJECT_ID('[NuGetPackagesV2_LatestStable]') IS NOT NULL DROP VIEW [NuGetPackagesV2_LatestStable]
GO

CREATE VIEW [NuGetPackagesV2_LatestStable]
AS
	SELECT NP2.[Feed_Id],
	       NP2.[Package_Id],
		   NPV2.[Version_Text],
		   NPV2.[TargetFrameworks_Text],
		   NPV2.[Published_Date],
		   NPV2.[Package_Size],
		   NPV2.[Nuspec_Bytes],
		   NPV2.[PackageHash_SHA1_Bytes],
		   NPV2.[PackageHash_SHA512_Bytes],
		   NPV2.[Symbols_Indicator],
		   NPV2.[Source_Indicator],
		   NPV2.[Cached_Indicator],
		   NPV2.[LastDownloaded_Date],
		   [LatestAbsoluteVersion_Indicator] = CASE WHEN NP2.[LatestVersion_Text] = NPV2.[Version_Text] THEN 'Y' ELSE 'N' END,
		   [Version_Download_Count] = NPV2.[Download_Count],
		   [Total_Download_Count] = (SELECT SUM(P2.[Download_Count])
		                               FROM [NuGetPackageVersionsV2] P2
									  WHERE P2.[NuGetPackageV2_Id] = NP2.[NuGetPackageV2_Id])
	  FROM [NuGetPackagesV2] NP2
		   INNER JOIN [NuGetPackageVersionsV2] NPV2
			       ON NP2.[NuGetPackageV2_Id] = NPV2.[NuGetPackageV2_Id]
				  AND NP2.[LatestStableVersion_Text] = NPV2.[Version_Text]
	 WHERE [Listed_Indicator] = 'Y'
