EXEC [dbo].[__AddStoredProcInfo]
    /* StoredProc_Name         */ 'Assets_DeleteUserMetadataEntry',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ NULL,
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Deletes a user-defined metadata entry from an asset item.'
GO

IF OBJECT_ID('[Assets_DeleteUserMetadataEntry]') IS NOT NULL DROP PROCEDURE [Assets_DeleteUserMetadataEntry]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [Assets_DeleteUserMetadataEntry]
(
	@AssetItem_Id INT,
	@Key_Name VARCHAR(50),
	@SetModifiedDate_Indicator YNINDICATOR = 'Y'
)
AS
BEGIN

	SET NOCOUNT ON

	DELETE [AssetItemMetadata]
	 WHERE [AssetItem_Id] = @AssetItem_Id
	   AND [Key_Name] = @Key_Name

	IF @SetModifiedDate_Indicator = 'Y' BEGIN

		UPDATE [AssetItems]
		   SET [Modified_Date] = GETUTCDATE()
		 WHERE [AssetItem_Id] = @AssetItem_Id

	END

	DECLARE @Feed_Id INT = (SELECT [Feed_Id] FROM [AssetItems] WHERE [AssetItem_Id] = @AssetItem_Id)

	UPDATE [Feeds]
	   SET [FeedState_Number] = COALESCE([FeedState_Number], 0) + 1
	 WHERE [Feed_Id] = @Feed_Id

END
GO

GRANT EXECUTE ON [Assets_DeleteUserMetadataEntry] TO [ProGetUser_Role]