EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'CondaPackages_GetPackage',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataRow',
    /* DataTableNames_Csv      */ 'CondaPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets a Conda package.'
GO

IF OBJECT_ID('[CondaPackages_GetPackage]') IS NOT NULL DROP PROCEDURE [CondaPackages_GetPackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [CondaPackages_GetPackage]
(
	@Feed_Id INT,
	@Package_Name NVARCHAR(200),
	@Subdir_Name VARCHAR(50),
	@Version_Text VARCHAR(255),
	@Build_Text VARCHAR(100),
	@ArchiveType_Code CHAR(1)
)
AS
BEGIN

SET NOCOUNT ON

	SELECT *
	  FROM [CondaPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Package_Name] = @Package_Name
	   AND [Subdir_Name] = @Subdir_Name
	   AND [Version_Text] = @Version_Text
	   AND [Build_Text] = @Build_Text
	   AND [ArchiveType_Code] = @ArchiveType_Code

END
GO

GRANT EXECUTE ON [CondaPackages_GetPackage] TO [ProGetUser_Role]
GO