EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'CondaPackages_SetLatestVersion',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Updates the Latest_Indicator for the specified Conda package.',
	/* Remarks_Text            */ 'This should be called after adding or deleting a package, ideally in the same transaction.'
GO

IF OBJECT_ID('[CondaPackages_SetLatestVersion]') IS NOT NULL DROP PROCEDURE [CondaPackages_SetLatestVersion]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [CondaPackages_SetLatestVersion]
(
	@Feed_Id INT,
	@Package_Name VARCHAR(200),
	@Version_Text VARCHAR(255)
)
AS
BEGIN

SET NOCOUNT ON

	UPDATE [CondaPackages]
	   SET [Latest_Indicator] = CASE WHEN [Version_Text] = @Version_Text THEN 'Y' ELSE 'N' END
	 WHERE [Feed_Id] = @Feed_Id
	   AND [Package_Name] = @Package_Name

END
GO

GRANT EXECUTE ON [CondaPackages_SetLatestVersion] TO [ProGetUser_Role]
GO