EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'ExternalUserGroups_CreateUserGroup',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Adds an existing external user to an existing external group if they are not already a member.'
GO

IF OBJECT_ID('[ExternalUserGroups_CreateUserGroup]') IS NOT NULL DROP PROCEDURE [ExternalUserGroups_CreateUserGroup]
GO

CREATE PROCEDURE [ExternalUserGroups_CreateUserGroup]
(
	@UserDirectory_Id INT,
	@ExternalUser_Name NVARCHAR(250),
	@ExternalGroup_Name NVARCHAR(250)
)
AS
BEGIN
	
	SET NOCOUNT ON

	IF NOT EXISTS(SELECT * FROM [ExternalUserGroups] 
					WHERE [UserDirectory_Id] = @UserDirectory_Id
					  AND [ExternalUser_Name] = @ExternalUser_Name
					  AND [ExternalGroup_Name] = @ExternalGroup_Name)
	BEGIN

		INSERT INTO [ExternalUserGroups] ([UserDirectory_Id], [ExternalUser_Name], [ExternalGroup_Name])
		VALUES (@UserDirectory_Id, @ExternalUser_Name, @ExternalGroup_Name)

	END

END
GO

GRANT EXECUTE ON [ExternalUserGroups_CreateUserGroup] TO [ProGetUser_Role]
GO
