EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'NuGetPackagesV2_GetLatest',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'NuGetPackagesV2_Latest',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all of the latest packages in a feed.'
GO

IF OBJECT_ID('[NuGetPackagesV2_GetLatest]') IS NOT NULL DROP PROCEDURE [NuGetPackagesV2_GetLatest]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [NuGetPackagesV2_GetLatest]
(
	@Feed_Id INT,
	@PackageIds_Psv VARCHAR(MAX) = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	IF @PackageIds_Psv IS NULL
	BEGIN

		SELECT *
		  FROM [NuGetPackagesV2_Latest]
		 WHERE [Feed_Id] = @Feed_Id

	END
	ELSE
	BEGIN

		SELECT *
		  FROM [NuGetPackagesV2_Latest]
		 WHERE [Feed_Id] = @Feed_Id
		   AND [Package_Id] IN (SELECT [Value_Text] FROM dbo.CsvToTable(@PackageIds_Psv, '|'))

	END

END
GO

GRANT EXECUTE ON [NuGetPackagesV2_GetLatest] TO [ProGetUser_Role]
GO
