EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'PackageDependents_DeleteRecordsForPackage',
    /* Internal_Indicator      */ 'Y',
    /* ReturnType_Name         */ 'void',
    /* DataTableNames_Csv      */ NULL,
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Delete the records associated with a package.'
GO

IF OBJECT_ID('[PackageDependents_DeleteRecordsForPackage]') IS NOT NULL DROP PROCEDURE [PackageDependents_DeleteRecordsForPackage]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [PackageDependents_DeleteRecordsForPackage]
(
    @Feed_Id INT,
    @Group_Name VARCHAR(200),
    @Package_Name VARCHAR(200),
    @Version_Text VARCHAR(100)
)
AS
BEGIN

	DELETE [PackageDependents]
     WHERE ([Feed_Id] = @Feed_Id
           AND [Group_Name] = @Group_Name
           AND [Package_Name] = @Package_Name
           AND [Version_Text] = @Version_Text)
        OR ([Dependent_Feed_Id] = @Feed_Id
           AND [Dependent_Group_Name] = @Group_Name
           AND [Dependent_Package_Name] = @Package_Name
           AND [Dependent_Version_Text] = @Version_Text)

END
GO

GRANT EXECUTE ON [PackageDependents_DeleteRecordsForPackage] TO [ProGetUser_Role]
GO
