EXEC [__AddStoredProcInfo]
    /* StoredProc_Name         */ 'VsixPackages_GetPackages',
    /* Internal_Indicator      */ 'N',
    /* ReturnType_Name         */ 'DataTable',
    /* DataTableNames_Csv      */ 'VsixPackages',
    /* OutputPropertyNames_Csv */ NULL,
    /* Description_Text        */ 'Gets all the packages in a feed, optionally filtered by ID and version.'
GO

IF OBJECT_ID('[VsixPackages_GetPackages]') IS NOT NULL DROP PROCEDURE [VsixPackages_GetPackages]
GO

SET QUOTED_IDENTIFIER ON
GO

CREATE PROCEDURE [VsixPackages_GetPackages]
(
	@Feed_Id INT,
	@Package_Id VARCHAR(100) = NULL,
	@Major_Number INT = NULL,
	@Minor_Number INT = NULL,
	@Build_Number INT = NULL,
	@Revision_Number INT = NULL
)
AS
BEGIN

	SET NOCOUNT ON

	SELECT *
	  FROM [VsixPackages]
	 WHERE [Feed_Id] = @Feed_Id
	   AND (@Package_Id IS NULL OR [Package_Id] = @Package_Id)
	   AND (@Major_Number IS NULL OR [Major_Number] = @Major_Number)
	   AND (@Minor_Number IS NULL OR [Minor_Number] = @Minor_Number)
	   AND (@Build_Number IS NULL OR [Build_Number] = @Build_Number)
	   AND (@Revision_Number IS NULL OR [Revision_Number] = @Revision_Number)

END
GO

GRANT EXECUTE ON [VsixPackages_GetPackages] TO [ProGetUser_Role]
GO
